Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 23 Nov 2014, 04:50
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Puppy Arcade 10
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 12 of 12 [177 Posts]   Goto page: Previous 1, 2, 3, ..., 10, 11, 12
Author Message
vitti92

Joined: 18 Nov 2013
Posts: 2

PostPosted: Mon 18 Nov 2013, 19:35    Post subject:  

hello everyone, Dear Scott your Linux Arcade 10 is old but it's fantastic.But I can't start Neogeo emulator. I tried to install your .pet file (gngeo, xgngeo ) but nothing. I have install gngneo, and tried too to install xgngneo from sourceforge and install with python.How I can to install gngeo Frontend emulator? thanks
Back to top
View user's profile Send private message 
CarlosTheHyena

Joined: 28 Oct 2012
Posts: 8

PostPosted: Tue 24 Dec 2013, 14:36    Post subject: puppy arcade wont run on virtualbox, on w7 64  

Judging from a lack of response to @vitti92, im not sure this thread is still active ... but hey ho, who knows? anyway ...
Trying to run PA as a live disc on virtualbox which is a host running on Windows 7 64, get as far as videowizard, select x.org, then it goes black, and that, is that. If I select vesa, goes grey, and that is that.
Anyone got any ideas at all? Thanks
Back to top
View user's profile Send private message 
puppyluvr


Joined: 06 Jan 2008
Posts: 3223
Location: Chickasha Oklahoma

PostPosted: Tue 24 Dec 2013, 15:11    Post subject:  

Very Happy Hello,
The framebuffer menu xorgwizard uses doesnt
show up in Vbox! It functions, but does not display.
Repeatedly pressing enter will get you a 640x480
screen. Memorizing the correct # of "down arrows"
before "enter" can select a proper resolution.
Xvesa should work. Idk why you get grey screen.
Try "enter" a few times!

_________________
Close the Windows, and open your eyes, to a whole new world
http://puppylinuxstuff.meownplanet.net/puppyluvr/
Puppy Linux Users Group on Facebook

Puppy since 2.15CE...
Back to top
View user's profile Send private message Visit poster's website 
ColbaltKobold

Joined: 18 Jan 2014
Posts: 3

PostPosted: Sat 18 Jan 2014, 07:58    Post subject: Enabling Opengl  

Hello, I'm new here, and have just got puppy arcade 10, however I dont know which .pet to download to enable opengl for my PC, it is a dell optiplex gx520 with an intel gma 950 integrated graphics card
Back to top
View user's profile Send private message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2386
Location: UK

PostPosted: Sun 26 Jan 2014, 07:29    Post subject: Re: Enabling Opengl  

ColbaltKobold wrote:
Hello, I'm new here, and have just got puppy arcade 10, however I dont know which .pet to download to enable opengl for my PC, it is a dell optiplex gx520 with an intel gma 950 integrated graphics card

xorg_xorg_dri_full in the puppy4 repo should be the one...

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search
Back to top
View user's profile Send private message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2386
Location: UK

PostPosted: Sun 26 Jan 2014, 07:31    Post subject:  

vitti92 wrote:
hello everyone, Dear Scott your Linux Arcade 10 is old but it's fantastic.But I can't start Neogeo emulator. I tried to install your .pet file (gngeo, xgngeo ) but nothing. I have install gngneo, and tried too to install xgngneo from sourceforge and install with python.How I can to install gngeo Frontend emulator? thanks

you need to install python and any other libs that the gngeo frontend has...

install the frontend and run

ldd /path/to/frontend | grep found

this will list any missing dependencies ...

then try the ppm.scottjarvis.com stuff... there are LOADS of libs there, as well as python and other stuff...

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search
Back to top
View user's profile Send private message 
stevielee

Joined: 25 Jul 2012
Posts: 27

PostPosted: Sat 01 Feb 2014, 19:08    Post subject: No ethernet available  

I have not seen many complains about a dead network connection, but I have tried Puppy Arcade 10 with a a few computers and keep getting no eth0 device at all. I assume this is due to missing drivers and computers that might be too new (although I tried one that is a few years old). Is there any advice on how to find the needed drivers and install them? I am hoping for a description of this process rather than being asked to give the specific details of the hardware I am using. This would then give insight into how all this works.

Thanks,

Steven
Back to top
View user's profile Send private message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2386
Location: UK

PostPosted: Sat 01 Feb 2014, 22:15    Post subject: Re: No ethernet available  

stevielee wrote:
I have not seen many complains about a dead network connection, but I have tried Puppy Arcade 10 with a a few computers and keep getting no eth0 device at all. I assume this is due to missing drivers and computers that might be too new (although I tried one that is a few years old). Is there any advice on how to find the needed drivers and install them? I am hoping for a description of this process rather than being asked to give the specific details of the hardware I am using. This would then give insight into how all this works.

Thanks,

Steven


I am no expert AT ALL on this, but in short, you load the pup4 devx, then load the kernel sources (http://akita.scottjarvis.com/kernel-src-2.6.25.16-patched-420.sfs should be fine) ... get the source of your drivers ... then open ROX, then unzip the source, go into the source directory, hit the ` key (left of 1, above TAB) to open a terminal, then you compile the drivers with something like

Code:
./configure
make
make install



... here are a few posts where people get the kind of advice you're after .... (see its previous page too)

http://www.murga-linux.com/puppy/viewtopic.php?p=656190#656190

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search
Back to top
View user's profile Send private message 
ColbaltKobold

Joined: 18 Jan 2014
Posts: 3

PostPosted: Tue 04 Feb 2014, 14:44    Post subject: Re: Enabling Opengl  

sc0ttman wrote:
ColbaltKobold wrote:
Hello, I'm new here, and have just got puppy arcade 10, however I dont know which .pet to download to enable opengl for my PC, it is a dell optiplex gx520 with an intel gma 950 integrated graphics card

xorg_xorg_dri_full in the puppy4 repo should be the one...


Sorry, but could you link me to where I could find the download for that please
Back to top
View user's profile Send private message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2386
Location: UK

PostPosted: Tue 04 Feb 2014, 19:03    Post subject: Re: Enabling Opengl  

ColbaltKobold wrote:
sc0ttman wrote:
ColbaltKobold wrote:
Hello, I'm new here, and have just got puppy arcade 10, however I dont know which .pet to download to enable opengl for my PC, it is a dell optiplex gx520 with an intel gma 950 integrated graphics card

xorg_xorg_dri_full in the puppy4 repo should be the one...


Sorry, but could you link me to where I could find the download for that please

Like all puppies, Puppy Arcade includes a package manager, so you can easily install extra stuff like .PET packages and so on...

To open the package manager, go to 'Menu->Setup->Puppy package manager'
(or something like that, maybe it's called 'PetGet package manager', cant remember ... )

Anyway ... if NOT using the package manager to install stuff (which is HIGHLY recommended by the way, as extra 'dependencies' will be installed where needed), here is the puppy 4 repo URL:

http://distro.ibiblio.org/puppylinux/pet_packages-4/

The Package you are looking for is this one: http://distro.ibiblio.org/puppylinux/pet_packages-4/xorg_xorg_full_dri-7.3.pet

NOTE: the xorg_xorg_dri package above is in the repo, so therefore it is also listed in the package manager... You [edit]*don't*[/edit] need a browser to install it - just open up the package manager and look for it there..

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search
Back to top
View user's profile Send private message 
ColbaltKobold

Joined: 18 Jan 2014
Posts: 3

PostPosted: Wed 05 Feb 2014, 11:47    Post subject: Re: Enabling Opengl  

sc0ttman wrote:
ColbaltKobold wrote:
sc0ttman wrote:
ColbaltKobold wrote:
Hello, I'm new here, and have just got puppy arcade 10, however I dont know which .pet to download to enable opengl for my PC, it is a dell optiplex gx520 with an intel gma 950 integrated graphics card

xorg_xorg_dri_full in the puppy4 repo should be the one...


Sorry, but could you link me to where I could find the download for that please

Like all puppies, Puppy Arcade includes a package manager, so you can easily install extra stuff like .PET packages and so on...

To open the package manager, go to 'Menu->Setup->Puppy package manager'
(or something like that, maybe it's called 'PetGet package manager', cant remember ... )

Anyway ... if NOT using the package manager to install stuff (which is HIGHLY recommended by the way, as extra 'dependencies' will be installed where needed), here is the puppy 4 repo URL:

http://distro.ibiblio.org/puppylinux/pet_packages-4/

The Package you are looking for is this one: http://distro.ibiblio.org/puppylinux/pet_packages-4/xorg_xorg_full_dri-7.3.pet

NOTE: the xorg_xorg_dri package above is in the repo, so therefore it is also listed in the package manager... You [edit]*don't*[/edit] need a browser to install it - just open up the package manager and look for it there..

I tried using this, but mupen64 still gave me the "the core thread recieved a ssgiev signal" error, can you reccomend anything else
P.S. the computer that I run puppy arcade on doesn't have internet capabilities
Back to top
View user's profile Send private message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2386
Location: UK

PostPosted: Thu 06 Feb 2014, 08:39    Post subject: Re: Enabling Opengl  

ColbaltKobold wrote:
I tried using this, but mupen64 still gave me the "the core thread recieved a ssgiev signal" error, can you reccomend anything else
P.S. the computer that I run puppy arcade on doesn't have internet capabilities

Open up HardInfo, in the System menu, and check the graphics page, see if you have Direct Rendering enabled... You need it ... If it is not... You would need other graphics drivers, or load up the required one (using xorgwizard') if its already installed...

If you still need opengl enabled, but it isnt, maybe try searching for a MESA package that work in puppy 4.12, or puppy 4.2.. You can search in the repos, or here: http://wellminded.com/puppy/pupsearch.html

... If you already have direct rendering (3d acceleration) enabled, try a different gfx plugin in mupen64 ... You can unzip these and try them:

some N64 plugins for puppy arcade 10
(the forum wont let me upload, too big...)

unzip it, and put all the files straight into the plugins folder in /usr/local/mupen64plus-1.5/plugins/ ...

you can probably replace any in there... but make a back up first... to do this, just copy the 'plugins' folder to 'plugins_backup' (or whatever), and then put all the new files in 'plugins' ... if anything goes wrong, you can get them old files back out of 'plugins_backup' ..

.. Obviously, after you replace or add the plugins, you will need to open mupen64plus and then change the gfx plugin to whatever other ones you want to test...

Hope that helps..

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 12 of 12 [177 Posts]   Goto page: Previous 1, 2, 3, ..., 10, 11, 12
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0930s ][ Queries: 13 (0.0071s) ][ GZIP on ]